Index: in-bulletin/install/upgrades.sql
===================================================================
--- in-bulletin/install/upgrades.sql	(revision 15111)
+++ in-bulletin/install/upgrades.sql	(working copy)
@@ -251,3 +251,7 @@
 
 DELETE FROM SystemSettings
 WHERE VariableName IN ('Topic_Highlight_OpenTag', 'Topic_Highlight_CloseTag', 'Posts_NewDays');
+
+# ===== v 5.2.0-B2 =====
+UPDATE Topic main_table
+SET main_table.CachedReviewsQty = (SELECT COUNT(*) FROM <%TABLE_PREFIX%>CatalogReviews review_table WHERE review_table.ItemId = main_table.ResourceId);
Index: in-commerce/install/upgrades.sql
===================================================================
--- in-commerce/install/upgrades.sql	(revision 15111)
+++ in-commerce/install/upgrades.sql	(working copy)
@@ -259,3 +259,7 @@
 );
 
 INSERT INTO SystemSettings VALUES(DEFAULT, 'MaxCompareProducts', '3', 'In-Commerce', 'in-commerce:output', 'la_Text_Products', 'la_config_MaxCompareProducts', 'text', NULL, NULL, 10.12, 0, 1, NULL);
+
+# ===== v 5.2.0-B2 =====
+UPDATE Products main_table
+SET main_table.CachedReviewsQty = (SELECT COUNT(*) FROM <%TABLE_PREFIX%>CatalogReviews review_table WHERE review_table.ItemId = main_table.ResourceId);
Index: in-link/install/upgrades.sql
===================================================================
--- in-link/install/upgrades.sql	(revision 15111)
+++ in-link/install/upgrades.sql	(working copy)
@@ -183,3 +183,7 @@
 UPDATE SearchConfig
 SET ForeignField = 'Users.Username'
 WHERE ForeignField = 'PortalUser.Username' AND ModuleName = 'In-Link';
+
+# ===== v 5.2.0-B2 =====
+UPDATE Link main_table
+SET main_table.CachedReviewsQty = (SELECT COUNT(*) FROM <%TABLE_PREFIX%>CatalogReviews review_table WHERE review_table.ItemId = main_table.ResourceId);
Index: in-news/install/upgrades.sql
===================================================================
--- in-news/install/upgrades.sql	(revision 15111)
+++ in-news/install/upgrades.sql	(working copy)
@@ -124,3 +124,7 @@
 # ===== v 5.2.0-B1 =====
 DELETE FROM SystemSettings
 WHERE VariableName IN ('News_Highlight_OpenTag', 'News_Highlight_CloseTag');
+
+# ===== v 5.2.0-B2 =====
+UPDATE News main_table
+SET main_table.CachedReviewsQty = (SELECT COUNT(*) FROM <%TABLE_PREFIX%>CatalogReviews review_table WHERE review_table.ItemId = main_table.ResourceId);
